IMPORTANT: Xcode version 9.3 is not yet compatible with Xamarin. Don’t update

UPDATE 4/4/2018: Microsoft has released the version 15.6.5 for Visual Studio that adds support for XCode 9.3. You can read more here.

The current Xamarin tool for Visual Studio 15.6.4 is not compatible yet with Xcode 9.3 so if you update Xcode to this version, you will not be able to compile your iOS projects anymore.

Visual Studio

In case you are still using the Xcode version 9.2, disable the auto update.

If your mac has already updated Xcode to the new version 9.3 and you need to compile your projects for Apple, then you need to uninstall Xcode 9.3, disable the auto update and install Xcode version 9.2.

You can download Xcode version 9.2 from here:



https://developer.apple.com/download/more/

Xamarin is already working on it but probably it will take some days.

I will update this post as soon as the issue will be solved.

Leave a Reply